import request from '@/utils/request'

// 查询军属信息列表
export function listRelationuser(query) {
  return request({
    url: '/relationuser/relationuser/list',
    method: 'get',
    params: query
  })
}

// 查询军属信息详细
export function getRelationuser(userId) {
  return request({
    url: '/relationuser/relationuser/' + userId,
    method: 'get'
  })
}

// 新增军属信息
export function addRelationuser(data) {
  return request({
    url: '/relationuser/relationuser',
    method: 'post',
    data: data
  })
}

// 修改军属信息
export function updateRelationuser(data) {
  return request({
    url: '/relationuser/relationuser',
    method: 'put',
    data: data
  })
}

// 删除军属信息
export function delRelationuser(userId) {
  return request({
    url: '/relationuser/relationuser/' + userId,
    method: 'delete'
  })
}

// 导出军属信息
export function exportRelationuser(query) {
  return request({
    url: '/relationuser/relationuser/export',
    method: 'get',
    params: query
  })
}